using System;

namespace Tak2
{
    class Program
    {
        struct Frilenser
        {
            public double a;
            public double p;
        }

        static void Main(string[] args)
        {            
            int n = int.Parse(Console.ReadLine());
            
            Frilenser[] f = new Frilenser[n];                       
            
            string[] l;
            for (int i = 0; i < n; i++)
            {
                l = Console.ReadLine().Split();
                f[i].a = double.Parse(l[0]);
                f[i].p = double.Parse(l[1]);
            }
                     
            double max = 0, r=0;           
            for (int i = 0; i < n; i++)
            {                
                for (int j = 0; j < n; j++)
                {
                    if (f[i].p <= f[j].p) r += f[j].a;
                }
                r *= f[i].p/100;
                if (r > max) max = r;
                r = 0;
            }
            Console.WriteLine(max);
        }
    }
}